﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;

namespace WpfApp2_nettv
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        ViewModel VM;
        List<Order> OrderList;
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            OrderList = new List<Order>();
            // VM = new ViewModel();
            VM = DataContext as ViewModel;
        }

        private void TextBox_PreviewKeyDown(object sender, KeyEventArgs e)
        {
            if (e.Key != Key.Back && e.Key != Key.OemMinus && e.Key != Key.Subtract &&
                (e.Key < Key.D0 || e.Key > Key.D9) && (e.Key < Key.NumPad0 || e.Key > Key.NumPad9))
            {
                e.Handled = true;
            }
        }

        private void Save_Click(object sender, RoutedEventArgs e)
        {
            OrderList.Add(VM.OneOrder.Clone());
            MessageBox.Show($"{OrderList.Count} orders in the list\n\n\n{VM.OneOrder}");
        }

        private void ShowAll_Click(object sender, RoutedEventArgs e)
        {
            OtherWindow win = new OtherWindow(OrderList);
            win.ShowDialog();
        }

    }
}
